Subject: [iccrg] Updated TCP Linux for ns-2

From: Michael Welzl <[email-masked]>
Date: Tue, 9 Dec 2014 18:00:22 +1100

Dear all,

I updated ns-2 TCP-Linux ( http://netlab.caltech.edu/projects/ns2tcplinux/ns2linux/ )  to Linux kernel version 3.17.4, and I have uploaded it to:
http://heim.ifi.uio.no/michawe/research/tools/ns/index.html

There’s a readme file, a simple test script, and a screenshot in the test directory which indicates that this works correctly (I haven’t done a real validation, so I can only say “indicates…” - but this being said, I do think I see things like Proportional Rate Reduction, Cubic's hystart, etc. in ns-2 now).

Please don’t expect 100% precision across the board - the readme file explains some limitations, the whole thing is very hacky business anyway… pretty much nothing that has changed in the last couple of years in tcp_input.c is included, yet the congestion control functions are updated. This somewhat strange mix between very old and newer code is probably also the reason for problems such as the one reported by Preethi here:  http://www.ietf.org/mail-archive/web/iccrg/current/msg00942.html

Oh well. It is what it is, and I hope it helps some folks out there. Have fun! Comments / fixes appreciated - but please don’t blame me for mistakes  :-)

Cheers,
Michael